using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp28
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] rec = Console.ReadLine().Split();
            int n = int.Parse(rec[0]);
            int m = int.Parse(rec[1]);
            if (n == 1) Console.WriteLine(m);
            else if (m == 1) Console.WriteLine(n);
            else
            {
                Console.WriteLine(2 * n + 2 * m - 4 + (n - 2) * (m - 2) / 2);
            }
        }
    }
}